from pydantic import Field
from typing import Dict, Any
from datetime import datetime
from enum import Enum

from api.schemas.base import Base


class State(Enum):
    AUTO = "Auto"
    DESCRIPTED = "Descripted"


class Status(Enum):
    ACTIVE = "Active"
    DISABLED = "Disabled"
    DELETED = "Deleted"


class ListEvent(Base):
    id: int
    name: str = Field(..., max_length=40)
    title: str = Field(..., max_length=64)
    creator_id: int
    created_at: datetime
    schema: Dict[str, Any]
    state: State
    status: Status
