from pydantic import Field
from typing import Dict, Any
from datetime import datetime
from enum import Enum

from api.schemas.base import Base


class Status(Enum):
    ACTIVE = "Active"
    STOPPING = "Stopping"
    STOPPED = "Stopped"
    DELETED = "Deleted"


class MyModel(Base):
    id: int
    link_name: str = Field(..., max_length=20)
    node_id: int
    next_node_id: int
    settings: Dict[str, Any]
    creator_id: int
    created_at: datetime
    status: Status
