from pydantic import Field
from typing import Dict, Any
from datetime import datetime
from enum import Enum

from api.schemas.base import Base


class Status(Enum):
    ACTIVE = "Active"
    STOPPING = "Stopping"
    STOPPED = "Stopped"
    DELETED = "Deleted"


class ProcessSchema(Base):
    id: int
    title: str = Field(..., max_length=100)
    description: str
    owner_id: int
    creator_id: int
    created_at: datetime
    settings: Dict[str, Any]
    status: Status
