import axios from 'axios';
import { Access, Auth } from '../types/auth';

const baseURL = `${process.env.REACT_APP_HTTP_PROTOCOL}://${process.env.REACT_APP_API_URL}/api/v1`;

const base = axios.create({
  baseURL,
  withCredentials: true,
  headers: {
    accepts: 'application/json',
  },
});

// base.interceptors.request.use((config) => {
//   const token = localStorage.getItem('accessToken');
//   if (token) {
//     config.headers.Authorization = `Bearer ${token}`;
//   }
//   return config;
// });

const api = {
  async login(auth: Auth): Promise<Access> {
    console.log(auth);
    const response = await base.post<Access>('/auth', auth);
    return response.data;
  },
};

export default api;
