import { Button, Form, Input, Select } from 'antd';
import { useTranslation } from 'react-i18next';

const { Option } = Select;

export default function UserEdit() {
  const { t } = useTranslation();
  return (
    <div style={{ display: 'flex', flexDirection: 'column', height: '100%' }}>
      <Form
        name="user-edit-form"
        layout="vertical"
        // onFinish={onFinish}
        initialValues={{
          name: 'Александр Александров',
          login: 'alexandralex@vorkout.ru',
          password: 'jKUUl776GHd',
          email: 'alexandralex@vorkout.ru',
          tenant: 'text',
          role: 'Директор магазина',
          status: 'Активен',
        }}
        style={{ flex: 1, display: 'flex', flexDirection: 'column' }}
      >
        <Form.Item
          label={t('name')}
          name="name"
          rules={[{ required: true, message: t('nameMessage') }]}
        >
          <Input />
        </Form.Item>

        <Form.Item
          label={t('login')}
          name="login"
          rules={[{ required: true, message: t('loginMessage') }]}
        >
          <Input />
        </Form.Item>

        <Form.Item
          label={t('password')}
          name="password"
          rules={[{ required: true, message: t('passwordMessage') }]}
        >
          <Input.Password />
        </Form.Item>

        <Form.Item
          label={t('email')}
          name="email"
          rules={[
            { required: true, message: t('emailMessage') },
            { type: 'email', message: t('emailErrorMessage') },
          ]}
        >
          <Input />
        </Form.Item>

        <Form.Item
          label={t('tenant')}
          name="tenant"
          rules={[{ required: true, message: t('tenantMessage') }]}
        >
          <Input />
        </Form.Item>

        <Form.Item
          label={t('role')}
          name="role"
          rules={[{ required: true, message: t('roleMessage') }]}
        >
          <Select placeholder={t('roleMessage')}>
            <Option value="Директор магазина">Директор магазина</Option>
            <Option value="Менеджер">Менеджер</Option>
            <Option value="Кассир">Кассир</Option>
          </Select>
        </Form.Item>

        <Form.Item
          label={t('status')}
          name="status"
          rules={[{ required: true, message: t('statusMessage') }]}
        >
          <Select placeholder={t('statusMessage')}>
            <Option value="ACTIVE">Активен</Option>
            <Option value="DISABLED">Неактивен</Option>
            <Option value="BLOCKED">Заблокирован</Option>
            <Option value="DELETED">Удален</Option>
          </Select>
        </Form.Item>

        <div style={{ flexGrow: 1 }} />

        <Form.Item>
          <Button
            type="primary"
            htmlType="submit"
            block
            style={{ color: '#000' }}
          >
            <img
              src="/icons/drawer/save.svg"
              alt="save"
              style={{ height: '18px', width: '18px' }}
            />{' '}
            {t('save')}
          </Button>
        </Form.Item>
      </Form>
    </div>
  );
}
