/**
 * This file was auto-generated by openapi-typescript.
 * Do not make direct changes to the file.
 */

export interface paths {
    "/api/v1/auth": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /**
         * Login For Access Token
         * @description Авторизирует, выставляет токены в куки.
         */
        post: operations["login_for_access_token_api_v1_auth_post"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/v1/auth/refresh": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        get?: never;
        put?: never;
        /** Refresh */
        post: operations["refresh_api_v1_auth_refresh_post"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/v1/profile": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get Profile */
        get: operations["get_profile_api_v1_profile_get"];
        /** Update Profile */
        put: operations["update_profile_api_v1_profile_put"];
        post?: never;
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/v1/account": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get All Account */
        get: operations["get_all_account_api_v1_account_get"];
        put?: never;
        /** Create Account */
        post: operations["create_account_api_v1_account_post"];
        delete?: never;
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/v1/account/{user_id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get Account */
        get: operations["get_account_api_v1_account__user_id__get"];
        /** Update Account */
        put: operations["update_account_api_v1_account__user_id__put"];
        post?: never;
        /** Delete Account */
        delete: operations["delete_account_api_v1_account__user_id__delete"];
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
    "/api/v1/keyring/{user_id}/{key_id}": {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        /** Get Keyring */
        get: operations["get_keyring_api_v1_keyring__user_id___key_id__get"];
        /** Update Keyring */
        put: operations["update_keyring_api_v1_keyring__user_id___key_id__put"];
        /** Create Keyring */
        post: operations["create_keyring_api_v1_keyring__user_id___key_id__post"];
        /** Delete Keyring */
        delete: operations["delete_keyring_api_v1_keyring__user_id___key_id__delete"];
        options?: never;
        head?: never;
        patch?: never;
        trace?: never;
    };
}
export type webhooks = Record<string, never>;
export interface components {
    schemas: {
        /** Access */
        Access: {
            /** Accesstoken */
            accessToken: string;
        };
        /** AccountKeyring */
        AccountKeyring: {
            /** Ownerid */
            ownerId: number;
            keyType: components["schemas"]["KeyType"];
            /** Keyid */
            keyId?: string | null;
            /** Keyvalue */
            keyValue: string;
            /**
             * Createdat
             * Format: date-time
             */
            createdAt: string;
            /** Expiry */
            expiry?: string | null;
            status: components["schemas"]["KeyStatus"];
        };
        /** AccountKeyringUpdate */
        AccountKeyringUpdate: {
            /** Ownerid */
            ownerId?: number | null;
            keyType?: components["schemas"]["KeyType"] | null;
            /** Keyid */
            keyId?: string | null;
            /** Keyvalue */
            keyValue?: string | null;
            /** Createdat */
            createdAt?: string | null;
            /** Expiry */
            expiry?: string | null;
            status?: components["schemas"]["KeyStatus"] | null;
        };
        /**
         * AccountRole
         * @enum {string}
         */
        AccountRole: "OWNER" | "ADMIN" | "EDITOR" | "VIEWER";
        /**
         * AccountStatus
         * @enum {string}
         */
        AccountStatus: "ACTIVE" | "DISABLED" | "BLOCKED" | "DELETED";
        /** AllUser */
        AllUser: {
            /** Id */
            id: number;
            /** Name */
            name: string;
            /** Login */
            login: string;
            /** Email */
            email?: string | null;
            /** Bindtenantid */
            bindTenantId?: string | null;
            role: components["schemas"]["AccountRole"];
            /**
             * Createdat
             * Format: date-time
             */
            createdAt: string;
            status: components["schemas"]["AccountStatus"];
        };
        /** AllUserResponse */
        AllUserResponse: {
            /** Users */
            users: components["schemas"]["AllUser"][];
            /** Amountcount */
            amountCount: number;
            /** Amountpages */
            amountPages: number;
        };
        /** Auth */
        Auth: {
            /** Login */
            login: string;
            /** Password */
            password: string;
        };
        /** HTTPValidationError */
        HTTPValidationError: {
            /** Detail */
            detail?: components["schemas"]["ValidationError"][];
        };
        /**
         * KeyStatus
         * @enum {string}
         */
        KeyStatus: "ACTIVE" | "EXPIRED" | "DELETED";
        /**
         * KeyType
         * @enum {string}
         */
        KeyType: "PASSWORD" | "ACCESS_TOKEN" | "REFRESH_TOKEN" | "API_KEY";
        /** User */
        User: {
            /** Id */
            id?: number | null;
            /** Name */
            name: string;
            /** Login */
            login: string;
            /** Email */
            email?: string | null;
            /** Bindtenantid */
            bindTenantId?: string | null;
            role: components["schemas"]["AccountRole"];
            /** Meta */
            meta: {
                [key: string]: unknown;
            };
            /** Creatorid */
            creatorId?: number | null;
            /**
             * Createdat
             * Format: date-time
             */
            createdAt: string;
            status: components["schemas"]["AccountStatus"];
        };
        /** UserUpdate */
        UserUpdate: {
            /** Id */
            id?: number | null;
            /** Name */
            name?: string | null;
            /** Login */
            login?: string | null;
            /** Email */
            email?: string | null;
            /** Bindtenantid */
            bindTenantId?: string | null;
            role?: components["schemas"]["AccountRole"] | null;
            /** Meta */
            meta?: {
                [key: string]: unknown;
            } | null;
            /** Creatorid */
            creatorId?: number | null;
            /** Createdat */
            createdAt?: string | null;
            status?: components["schemas"]["AccountStatus"] | null;
        };
        /** ValidationError */
        ValidationError: {
            /** Location */
            loc: (string | number)[];
            /** Message */
            msg: string;
            /** Error Type */
            type: string;
        };
    };
    responses: never;
    parameters: never;
    requestBodies: never;
    headers: never;
    pathItems: never;
}
export type $defs = Record<string, never>;
export interface operations {
    login_for_access_token_api_v1_auth_post: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["Auth"];
            };
        };
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["Access"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    refresh_api_v1_auth_refresh_post: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["Access"];
                };
            };
        };
    };
    get_profile_api_v1_profile_get: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"];
                };
            };
        };
    };
    update_profile_api_v1_profile_put: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UserUpdate"];
            };
        };
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    get_all_account_api_v1_account_get: {
        parameters: {
            query?: {
                page?: number;
                limit?: number;
            };
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["AllUserResponse"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    create_account_api_v1_account_post: {
        parameters: {
            query?: never;
            header?: never;
            path?: never;
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UserUpdate"];
            };
        };
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    get_account_api_v1_account__user_id__get: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                user_id: number;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    update_account_api_v1_account__user_id__put: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                user_id: number;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["UserUpdate"];
            };
        };
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    delete_account_api_v1_account__user_id__delete: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                user_id: number;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["User"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    get_keyring_api_v1_keyring__user_id___key_id__get: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                key_id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["AccountKeyring"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    update_keyring_api_v1_keyring__user_id___key_id__put: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                user_id: number;
                key_id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["AccountKeyringUpdate"];
            };
        };
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["AccountKeyring"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    create_keyring_api_v1_keyring__user_id___key_id__post: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                user_id: number;
                key_id: string;
            };
            cookie?: never;
        };
        requestBody: {
            content: {
                "application/json": components["schemas"]["AccountKeyringUpdate"];
            };
        };
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["AccountKeyring"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
    delete_keyring_api_v1_keyring__user_id___key_id__delete: {
        parameters: {
            query?: never;
            header?: never;
            path: {
                user_id: number;
                key_id: string;
            };
            cookie?: never;
        };
        requestBody?: never;
        responses: {
            /** @description Successful Response */
            200: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["AccountKeyring"];
                };
            };
            /** @description Validation Error */
            422: {
                headers: {
                    [name: string]: unknown;
                };
                content: {
                    "application/json": components["schemas"]["HTTPValidationError"];
                };
            };
        };
    };
}
